> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/describeinstancetypestatus.md).

# DescribeInstanceTypeStatus

## 1. API Description

This API (DescribeInstanceTypeStatus) is used to the API is used to query model status after instance specification change.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                        |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| instanceId     | Yes      | String | <p>ID of the instance to be modified.</p><p>To obtain the instance ID, you can call DescribeInstances and look for instanceId in the response.</p> |

## 3. Output Parameters

| Parameter Name             | Type                                                                                | Description                                                                                                                                                   |
| -------------------------- | ----------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| requestId                  | String                                                                              | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                         |
| instanceId                 | String                                                                              | Instance ID.                                                                                                                                                  |
| instanceName               | String                                                                              | Instance name.                                                                                                                                                |
| instanceType               | String                                                                              | Current model of the instance.                                                                                                                                |
| modifiedInstanceType       | String                                                                              | <p>Target model of the instance.</p><p>If the value is empty, no scheduling specification change exists.</p>                                                  |
| modifiedInstanceTypeStatus | [InstancePlanStatus](/api-reference/compute/vm/datastructure.md#instanceplanstatus) | Model status of the instance.Processing: the model is changing.Enable: the model is available.WaitToEnable: the model is available in the next billing cycle. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the model status after instance specification change.**

```javascript
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInstanceTypeStatus
<Common Request Params>

Request：
{
  "instanceId": "instanceId"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "instanceId": "xx",
    "instanceName": "xx",
    "instanceType": "c.1c2g",
    "modifiedInstanceType": "c.2c4g",
    "modifiedInstanceTypeStatus": "Enable"
   }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                    | Description              |
| ---------------- | ----------------------------- | ------------------------ |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND | Instance does not exist. |
